%define packname car
# Note that some R packages do not use packrel
%define packrel 16

Name:             R-%{packname}
Version:          1.2
Release:          16.1%{?dist}
Source0:          http://cran.r-project.org/src/contrib/car_%{version}-%{packrel}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/car/index.html
Group:            Applications/Engineering
Summary:          Companion to Applied Regression package for R
BuildRequires:    R-devel, tex(latex)
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires(post):   R
Requires(postun): R
Requires:         R

%description
This package accompanies J. Fox, An R and S-PLUS Companion to Applied
Regression, Sage, 2002. The package contains mostly functions for applied
regression, linear models, and generalized linear models, with an emphasis on
regression diagnostics, particularly graphical diagnostic methods.  There are
also some utility functions. With some exceptions, it does not duplicate
capabilities in the basic distribution of R, nor in widely used packages.
Where relevant, the functions in car are consistent with na.action = na.omit
or na.exclude.

%prep
%setup -q -c -n %{packname}
#Fix permissions
find -type f | xargs chmod -x
#Fix encoding
iconv -f iso-8859-1 -t utf-8 < car/inst/CHANGES | tr -d '\r' > car/inst/CHANGES.utf-8
touch -r car/inst/CHANGES car/inst/CHANGES.utf-8
mv car/inst/CHANGES.utf-8 car/inst/CHANGES

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Use --no-install until R-leaps is available
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/CHANGES 
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION 
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help

%changelog
* Fri Nov 13 2009 Orion Poplawski <orion@cora.nwra.com> 1.2-16.1
- Rebuild for R 2.10.0

* Wed Nov 4 2009 Orion Poplawski <orion@cora.nwra.com> 1.2-16
- Update to 1.2-16

* Fri Oct 2 2009 Orion Poplawski <orion@cora.nwra.com> 1.2-15
- Update to 1.2-15

* Mon Aug 10 2009 Orion Poplawski <orion@cora.nwra.com> 1.2-8
- Update to 1.2-14

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 Orion Poplawski <orion@cora.nwra.com> 1.2-6
- Update to 1.2-12

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Orion Poplawski <orion@cora.nwra.com> 1.2-5
- Update to 1.2-11

* Thu Oct 23 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-4
- Update to 1.2-9

* Wed May 7 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-3
- Update to 1.2-8
- Fix URLs

* Wed Feb 13 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-2
- Fix file permissions, line endings and encoding

* Wed Feb 13 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-1
- Initial package creation
